/**
 * Calculates the Compound Interest (CI).
 * @param principal - The principal amount.
 * @param rate - The annual interest rate (in percentage).
 * @param timesCompounded - The number of times the interest is compounded per year.
 * @param years - The number of years.
 * @returns The compound interest.
 * @throws Error if any parameter is invalid.
 */
export declare function calculateCompoundInterest(principal: number, rate: number, timesCompounded: number, years: number): number;
